---
kind: pipeline
name: backend
type: docker

steps:
  - name: deploy web
    image: node:alpine
    environment:
      NETLIFY_AUTH_TOKEN:
        from_secret: NETLIFY_TOKEN
      NETLIFY_SITE_ID: 753cd3b7-e235-439a-a7a0-6aee33e0c445
    commands:
      - yarn install
      - yarn build
      - yarn netlify deploy --dir=dist --prod
